SDL_HasGamepad(3)

NAME
SDL_HasGamepad - Return whether a gamepad is currently connected.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

bool SDL_HasGamepad(void);

RETURN VALUE
Returns true if a gamepad is connected, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetGamepads(3)